<style>
    table {
          width: 100% !important;
      }
</style>
<div id="forms" class="page-layout carded fullwidth">

  <!-- TOP BACKGROUND -->
  <div class="top-bg accent"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

      <!-- HEADER -->
      <div class="header accent"
           fxLayout="column" fxLayoutAlign="center center"
           fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">

          <!-- APP TITLE -->
          <div class="logo mb-24 mb-md-0"
               fxLayout="row" fxLayoutAlign="start center">
              <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                  {{title}}
              </span>
          </div>
          <!-- / APP TITLE -->

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
           
        <form class="mat-card mat-elevation-z4 p-24 mr-24" fxLayout="column" fxLayoutAlign="start"
        fxFlex="1 0 auto" name="form" [formGroup]="form" (ngSubmit)="onSubmit()">

      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <!-- <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>Company (disabled)</mat-label>
              <input matInput formControlName="company">
              <mat-icon matSuffix class="disabled-text">domain</mat-icon>
          </mat-form-field> -->

      </div>

     


     
        <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
            <mat-label>Email</mat-label>
            <input matInput formControlName="email" [email]="true" required>
            <mat-icon matSuffix class="secondary-text">email</mat-icon>
            <mat-error *ngIf="errorHandling('email', 'required')" >Email is required!</mat-error>
            <mat-error *ngIf="errorHandling('email', 'pattern')" > Please provide a valid email address.</mat-error>
       
        </mat-form-field>
    

   

        <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
            <mat-label>Old Password</mat-label>
            <input  type="password" matInput formControlName="oldPassword" required>
            <mat-icon matSuffix class="secondary-text">vpn_key</mat-icon>
            <mat-error *ngIf="errorHandling('oldPassword', 'required')" >Old Password is required!</mat-error>
            <mat-error *ngIf="errorHandling('oldPassword', 'minlength')" >Old Password must be at least 5 number long.</mat-error>
            <mat-error *ngIf="errorHandling('oldPassword', 'maxlength')" >Old Password must be max 15 number long.</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
            <mat-label>New Password</mat-label>
            <input  type="password" matInput formControlName="newPassword" required>
            <mat-icon matSuffix class="secondary-text">vpn_key</mat-icon>
            <mat-error *ngIf="errorHandling('newPassword', 'required')" >New Password is required!</mat-error>
            <mat-error *ngIf="errorHandling('newPassword', 'pattern')" > Password must be 8 character long and must have one upper case, lower case, special character and number</mat-error>
            <!-- <mat-error *ngIf="errorHandling('newPassword', 'minlength')" >New Password must be at least 5 number long.</mat-error> -->
            <mat-error *ngIf="errorHandling('newPassword', 'maxlength')" >New Password must be max 15 number long.</mat-error>
           
        </mat-form-field>

        <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
            <mat-label>Confirm Password</mat-label>
            <input  type="password" matInput formControlName="confirmPassword"  (ngModelChange)="checkPasswords(form)"  required>
            <mat-icon matSuffix class="secondary-text">security</mat-icon>
            <mat-error *ngIf="errorHandling('confirmPassword', 'required')" >Confirm Password is required!</mat-error>
            <mat-error *ngIf="errorHandling('confirmPassword', 'pattern')" > Password must be 8 character long and must have one upper case, lower case, special character and number</mat-error>
            <!-- <mat-error *ngIf="errorHandling('confirmPassword', 'minlength')" >Confirm Password must be at least 5 number long.</mat-error> -->
            <mat-error *ngIf="errorHandling('confirmPassword', 'maxlength')" >Confirm Password must be max 15 number long.</mat-error>
            <mat-error *ngIf="errorHandling('confirmPassword', '')">
                Passwords do not match 
              </mat-error>
        </mat-form-field>
        
        <div style="color:red" *ngIf="!pp">
            Passwords do not match {{error.type}}
        </div>


    

     

     
    <mat-form-field appearance="outline" fxFlex="100" [hidden]="true" style="display: none;">
    <input matInput formControlName="id">
    </mat-form-field>
      <div fxLayout="row" fxLayoutAlign="center center">
        <button mat-raised-button type="submit" color="accent" [disabled]="!form.valid">
            Save
        </button> &nbsp;&nbsp;&nbsp;
        <button mat-raised-button  [routerLink]="'/apps/admin/manage-users'" color="red">
            Cancel
        </button>
    </div>

  </form>

   
  </div>
  <!-- / CENTER -->
</div>
